'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } // Import React


require('./spectacle-output-terminal.css');

var Presentation = function (_React$Component) {
  _inherits(Presentation, _React$Component);

  function Presentation() {
    _classCallCheck(this, Presentation);

    return _possibleConstructorReturn(this, (Presentation.__proto__ || Object.getPrototypeOf(Presentation)).apply(this, arguments));
  }

  _createClass(Presentation, [{
    key: 'scrollToBottom',
    value: function scrollToBottom() {
      this.messagesEnd.scrollIntoView({ behavior: 'smooth' });
    }
  }, {
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.scrollToBottom();
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate() {
      this.scrollToBottom();
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      return _react2.default.createElement(
        'div',
        { className: 'terminal' },
        _react2.default.createElement(
          'header',
          { className: 'terminal__header' },
          _react2.default.createElement(
            'span',
            { className: 'terminal__buttons' },
            _react2.default.createElement('span', { className: 'terminal__button--red' }),
            _react2.default.createElement('span', { className: 'terminal__button--amber' }),
            _react2.default.createElement('span', { className: 'terminal__button--green' })
          ),
          'Node.js',
          _react2.default.createElement(
            'span',
            { className: 'terminal__actions' },
            _react2.default.createElement(
              'button',
              {
                className: 'terminal__action--run ' + (this.props.codeRunning === true ? 'terminal__action--run--active' : ''),
                onClick: this.props.onRun
              },
              'Run'
            ),
            _react2.default.createElement(
              'button',
              {
                className: 'terminal__action--stop',
                onClick: this.props.onStop
              },
              'Stop'
            )
          )
        ),
        _react2.default.createElement(
          'div',
          { className: 'terminal__body' },
          _react2.default.createElement(
            'pre',
            null,
            this.props.content && this.props.content.map(function (item, index) {
              return _react2.default.createElement(
                'div',
                { key: index },
                item
              );
            })
          ),
          _react2.default.createElement('div', {
            style: { float: 'left', clear: 'both' },
            ref: function ref(el) {
              _this2.messagesEnd = el;
            }
          })
        )
      );
    }
  }]);

  return Presentation;
}(_react2.default.Component);

exports.default = Presentation;